Package org.spongepowered.asm.mixin.injection.struct

## Class InjectorGroupInfo.Map

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<java.lang.String,​InjectorGroupInfo>
    - - org.spongepowered.asm.mixin.injection.struct.InjectorGroupInfo.Map

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​InjectorGroupInfo>`

Enclosing class:
  InjectorGroupInfo

    public static final class InjectorGroupInfo.Map
    extends java.util.HashMap<java.lang.String,​InjectorGroupInfo>

Storage for injector groups

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

### Constructor Summary

Constructors
`Map()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InjectorGroupInfo` `forName​(java.lang.String name)` Get group for the specified name, creates the group in this map if it does not already exist
`InjectorGroupInfo` `get​(java.lang.Object key)`
`InjectorGroupInfo` `parseGroup​(org.objectweb.asm.tree.AnnotationNode annotation, java.lang.String defaultGroup)` Parse a group from the specified annotation, use the default group name if no group name is specified on the annotation
`InjectorGroupInfo` `parseGroup​(org.objectweb.asm.tree.MethodNode method, java.lang.String defaultGroup)` Parse a group from the specified method, use the default group name if no group name is specified on the annotation
`void` `validateAll()` Validate all groups in this collection

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### Map

    public Map()

### Method Detail

#### get

    public InjectorGroupInfo get​(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map<java.lang.String,​InjectorGroupInfo>`
Overrides:
  `get` in class `java.util.HashMap<java.lang.String,​InjectorGroupInfo>`

#### forName

    public InjectorGroupInfo forName​(java.lang.String name)

Get group for the specified name, creates the group in this map if it does not already exist

Parameters:
  `name` - Name of group to fetch
Returns:
  Existing group or new group if none was previously declared

#### parseGroup

    public InjectorGroupInfo parseGroup​(org.objectweb.asm.tree.MethodNode method,
                                        java.lang.String defaultGroup)

Parse a group from the specified method, use the default group name if no group name is specified on the annotation

Parameters:
  `method` - (Possibly) annotated method
  `defaultGroup` - Default group name to use
Returns:
  Group or NO_GROUP if no group

#### parseGroup

    public InjectorGroupInfo parseGroup​(org.objectweb.asm.tree.AnnotationNode annotation,
                                        java.lang.String defaultGroup)

Parse a group from the specified annotation, use the default group name if no group name is specified on the annotation

Parameters:
  `annotation` - Annotation or null
  `defaultGroup` - Default group name to use
Returns:
  Group or NO_GROUP if no group

#### validateAll

    public void validateAll()
                     throws org.spongepowered.asm.mixin.injection.throwables.InjectionValidationException

Validate all groups in this collection

Throws:
  `org.spongepowered.asm.mixin.injection.throwables.InjectionValidationException` - if validation fails